post
https://api.sandbox.evrotrust.com/vendor/document/thread/status
/document/thread/status
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Use for poll status checks or as a backup option to the callback.
threadID is unique and is generated at the time a document/group is sent to the user/s for signing.
Valid values:
| Parameter | Value |
|---|---|
| "threadID" | "string" |
| "vendorNumber" | "string" |
Returned statuses:
| Value | Meaning |
|---|---|
| 1 | Pending User does not made any action yet |
| 2 | Signed "isProcessing"/"groupIsProcessing" = 0 - document/s signed "isProcessing"/"groupIsProcessing"=1 - user confirm, system processing |
| 3 | Rejected User rejected signing the document |
| 4 | Expired Set dateExpire time in request passed with no user action |
| 5 | Failed System error |
| 6 | Withdrawn Request withdrawn by the sender |
| 7 | Undeliverable Request can't go to user after being in 99-On hold |
| 8 | Failed face recognition Only if bioRequired=true in the request |
| 99 | On hold Not delivered to user. If the document is sent to several users & the previous signature is still pending; User has no registration or registration is not completed. |
Response values:
Response values:
{"statuses": [
{
//"rejectReason":"string", (optinal)
//"automatedSignError":"string", (optional)
//"registerCheck": 0, (optional)
"documents": [
{"transactionID":"string",
"isProcessing": true,
"status": 0
}]
}]}
{"statuses": [
{"groupTransactionID":"string",
"groupIsProcessing": true,
"groupStatus": 0,
"statusLpis":"string",
//"rejectReason":"string", (optinal)
//"automatedSignError":"string", (optional)
//"registerCheck": 0, (optional)
"documents": [
{"transactionID":"string",
"isProcessing": true,
"status": 0
}]
}]}
200